%define major 2
%define libname %mklibname smbios %major
%define devname %mklibname smbios -d

Name:           libsmbios
Version:        2.3.0
Release:        %mkrel 1
Summary:        Libraries to get information from standard BIOS tables
License:        GPLv2+
Url:            http://linux.dell.com/libsmbios/main/
Group:          System/Kernel and hardware
Source0:        http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  doxygen
ExclusiveArch:  %{ix86} x86_64

%description
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n %devname
Summary:        Development files for libsmios
Group:          Development/C
Requires:       %libname = %{version}

%description -n %devname
Libsmbios is a library and utilities that can be used by client programs to get
information from standard BIOS tables, such as the SMBIOS table.

This package contains the necessary files to compile new client programs
against libsmbios.

%package -n %libname
Summary:        Libraries to get information from standard BIOS tables
Group:          System/Kernel and hardware

%description -n %libname
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n smbios-utils-bin
Summary:        Binary utilities that use libsmbios
Group:          System/Kernel and hardware

%description -n smbios-utils-bin
Get BIOS information, such as System product name, product id, service tag and
asset tag.

%prep
%setup -q

%build
%configure2_5x \
  --disable-rpath \
  --disable-libsmbios_cxx \
  --disable-graphviz \
  --disable-python

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_includedir}
cp -a out/public-include/* %{buildroot}/%{_includedir}/

rm -f %{buildroot}/%{_libdir}/lib*.{la,a}

%find_lang libsmbios

%files -n %devname
%{_includedir}/smbios/
%{_includedir}/smbios_c/
%{_libdir}/libsmbios_c.so
%{_libdir}/pkgconfig/libsmbios_c*.pc

%files -n %libname -f libsmbios.lang
%{_libdir}/libsmbios_c.so.%{major}{,.*}

%files -n smbios-utils-bin
%doc AUTHORS COPYING-GPL COPYING-OSL ChangeLog NEWS README TODO doc/old_news.txt
%doc doc/pkgheader.sh
%{_sbindir}/smbios-get-ut-data
%{_sbindir}/smbios-state-byte-ctl
%{_sbindir}/smbios-sys-info-lite
%{_sbindir}/smbios-upflag-ctl


%changelog
* Tue May 10 2016 tv <tv> 2.3.0-1.mga6
+ Revision: 1012120
- kill --disable-doxygen as it breaks build
- BR doxygen
- new release

* Mon Feb 08 2016 umeabot <umeabot> 2.2.28-4.mga6
+ Revision: 944960
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.28-3.mga5
+ Revision: 745780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.28-2.mga5
+ Revision: 681787
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 pterjan <pterjan> 2.2.28-1.mga5
+ Revision: 650974
- imported package libsmbios

